Skip to main content
DELETE
/
2025-10
/
marketing-solutions
/
product-sets
/
{product-set-id}
/2025-10/marketing-solutions/product-sets/{product-set-id}
curl --request DELETE \
  --url https://api.criteo.com/2025-10/marketing-solutions/product-sets/{product-set-id} \
  --header 'Authorization: Bearer <token>'
{
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

product-set-id
string
required

ID of the product set to remove

Response

204 - application/json

ProductSet removed successfully

A class implementing the body of a response without data of the Criteo API as described in API Guild Guidelines

errors
object[] | null
read-only
warnings
object[] | null
read-only